# Python bindings to V2C Trydan EVSE

---

**Documentation**: <a href="https://pytrydan.readthedocs.io" target="_blank">https://pytrydan.readthedocs.io </a>

**Source Code**: <a href="https://github.com/dgomes/pytrydan" target="_blank">https://github.com/dgomes/pytrydan </a>

---

Library to interface with V2C EVSE Trydan

## Installation

Install this via pip (or your favourite package manager):

`pip install pytrydan`

## Usage

There is a command line `pytrydan` that can be used for basic interaction with the EVSE.

Retrieve the current status:

`$pytrydan status IP_OF_TRYDAN`

E.g. set current charging intensity using keyword "Intensity"

`$pytrydan set IP_OF_TRYDAN Intensity 16`

More information on [available keywords](https://docs.google.com/spreadsheets/d/e/2PACX-1vQGA_7Z4YaSMZeHRTnAP6z_82dVPmM33NxJhvsDBEFn8LyWjX-RX_fkR7KCErqAE4aGFvPrUufooHoM/pubhtml?gid=1147522182&single=true)

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- prettier-ignore-start -->
<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->

<!-- markdownlint-restore -->
<!-- prettier-ignore-end -->

<!-- ALL-CONTRIBUTORS-LIST:END -->
<!-- prettier-ignore-end -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!

## Credits

This package was created with
[Copier](https://copier.readthedocs.io/) and the
[browniebroke/pypackage-template](https://github.com/browniebroke/pypackage-template)
project template.
